package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserRoleDEFieldMapper;
import com.sa.ibiz.demo.demo.domain.UserRoleDEField;
import com.sa.ibiz.demo.demo.service.UserRoleDEFieldService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDEFieldSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[UserRoleDEField] 服务对象接口实现
 */
@Service
public class UserRoleDEFieldServiceImpl extends ServiceImplBase<UserRoleDEFieldMapper, UserRoleDEField> implements UserRoleDEFieldService{

    @Autowired
    private DataEntityService deService;

    @Resource
    private UserRoleDEFieldMapper userroledefieldMapper;


    @Override
    public boolean create(UserRoleDEField et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UserRoleDEField et){
        this.beforeUpdate(et);
		this.userroledefieldMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UserRoleDEField et){
		return et.getUserroledefieldid();  
    }

    @Override
    public boolean getDraft(UserRoleDEField et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<UserRoleDEField> listDefault(UserRoleDEFieldSearchFilter filter) {
		return userroledefieldMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserRoleDEField> searchDefault(UserRoleDEFieldSearchFilter filter) {
		return userroledefieldMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userroledefieldMapper.selectRow(sql);
    }

 }